For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Note object
          • GET/notes
          • POST/notes
          • GET/notes/{id}
          • GET/notes/meta/post
          • GET/notes/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsNotes

/notes

POST
/crm/v1/notes
POST
/api/crm/v1/notes
$curl -X POST https://api.merge.dev/api/crm/v1/notes \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {}
>}'
201Created
1{
2 "model": {
3 "id": "550e8400-e29b-41d4-a716-446655440000",
4 "remote_id": "19202938",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "owner": "0358cbc6-2040-430a-848e-aafacbadf3aa",
8 "content": "Merge is hiring!",
9 "contact": "025fjlc6-6000-430a-848e-aafacbadf4fe",
10 "account": "fba1fbc6-67c0-4cb2-a176-7896acd2ffd5",
11 "opportunity": "754a244e-dd67-4731-a8d3-9bff9dc10465",
12 "remote_updated_at": "2022-02-10T00:00:00Z",
13 "remote_created_at": "2021-11-10T00:00:00Z",
14 "remote_was_deleted": true,
15 "field_mappings": {
16 "organization_defined_targets": {
17 "custom_key": "custom_value"
18 },
19 "linked_account_defined_targets": {
20 "custom_key": "custom_value"
21 }
22 },
23 "remote_data": [
24 {
25 "path": "/notes",
26 "data": null
27 }
28 ],
29 "remote_fields": [
30 {
31 "remote_field_class": {
32 "id": "string",
33 "display_name": "string",
34 "remote_key_name": "string",
35 "description": "string",
36 "is_custom": true,
37 "is_common_model_field": true,
38 "is_required": true,
39 "field_type": "string",
40 "field_format": "string",
41 "field_choices": [
42 "string"
43 ],
44 "item_schema": {
45 "item_type": "string",
46 "item_format": "string",
47 "item_choices": [
48 "string"
49 ]
50 }
51 },
52 "value": "string"
53 }
54 ]
55 },
56 "warnings": [
57 {
58 "title": "Unrecognized Field",
59 "detail": "An unrecognized field, age, was passed in with request data.",
60 "problem_type": "UNRECOGNIZED_FIELD",
61 "source": {
62 "pointer": "/age"
63 },
64 "block_merge_link": true,
65 "raw_error": "string",
66 "error_code": 1
67 }
68 ],
69 "errors": [
70 {
71 "title": "Missing Required Field",
72 "detail": "custom_fields is a required field on model.",
73 "problem_type": "MISSING_REQUIRED_FIELD",
74 "source": {
75 "pointer": "/model/custom_fields"
76 },
77 "block_merge_link": true,
78 "raw_error": "string",
79 "error_code": 1
80 }
81 ],
82 "logs": [
83 {
84 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
85 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
86 "log_summary": {
87 "url": "www.exampleintegration.com/api/v1/exampleapi",
88 "method": "POST",
89 "status_code": 200
90 }
91 }
92 ]
93}

Creates a Note object with the given values.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/notes

Next

/notes/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The Note object is used to represent a note on another object.

Usage Example

TODO

Response

modelobject

Description

The Note object is used to represent a note on another object.

Usage Example

TODO

warningslist of objects
errorslist of objects
logslist of objects